DCMTK - Bug #577

Color Icon Images in SR IMAGE Content Items created with wrong color model (RGB)
2013-11-06 15:28 - J6rg Riesmeier

Status: Closed Start date: 2013-11-06
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmsr Compiler:

Operating System:

Description

Color Icon Images in SR IMAGE Content ltems are created with an incorrect value for Photometric Interpretation, i.e. "RGB" instead
of "PALETTE COLOR".
According to Section F.7 of PS 3.3, only "MONOCHROME 1", "MONOCHROME 2" and "PALETTE COLOR?" are allowed.

Also see bug #576.

History

#1 - 2013-11-13 20:13 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed by this commit: http:/gi
http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=51e4d0b51cfc736b133942aea0743c8f63f2a7eb
http://www.tcpdf.org

